Skip to main content
GET
Get a campaign

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign.

Response

Successful.

id
string
required

The ID of the campaign.

name
string
required

The name of the campaign.

status
enum<string>
required

The status of the campaign.

Available options:
Draft,
Scheduled,
Sending,
Sent
createdAt
string<date-time>
required

ISO 8601 timestamp for when the campaign was created.

updatedAt
string<date-time>
required

ISO 8601 timestamp for when the campaign was last updated.

emailMessageId
string | null
required

The associated email message ID.

campaignGroupId
string | null
required

The ID of the campaign group this campaign belongs to..

mailingListId
string | null
required

The ID of the mailing list this campaign sends to, if set.

audienceSegmentId
string | null
required

The ID of the audience segment this campaign targets, if set.

audienceFilter
object | null
required

The filter rules that define the audience for this campaign, if set.

scheduling
object
required

When the campaign is scheduled to send.

Last modified on July 20, 2026